Package org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature

# Class FeatureCrsParameterInvalid

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs
org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.FeatureCrsParameterInvalid

public class FeatureCrsParameterInvalid extends AbstractFeatureCrs
Verifies invalid CRS requesting /collection/{collectionId}/items

     Abstract Test 5: /conf/crs/crs-parameter-invalid
     Test Purpose: Verify that invalid values in the parameter crs are reported
     Requirement: /req/crs/fc-crs-valid-value

     Test Method
     For
      * each spatial feature collection collectionId
     send a request with an unsupported CRS identifier in the parameter crs to
      * /collections/{collectionId}/items and
      * /collections/{collectionId}/items/{featureId} (with a valid featureId for the collection).
     Verify that the response has status code 400.
     Unsupported CRS identifiers are all strings not included in the crs property of the collection and also not included in the global CRS list, if #/crs is included in the crs property.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs

  `collectionIdToCrs, collectionIdToDefaultCrs, collectionIdToFeatureId, collectionsResponses`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureCrsParameterInvalid()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `verifyFeatureCrsParameterInvalid(String collectionId, io.restassured.path.json.JsonPath collection, String featureId)`
  Test: invalid CRS requesting /collections/{collectionId}/items

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs

  `collectionFeatureId, retrieveRequiredInformationFromTestContext`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FeatureCrsParameterInvalid

    public FeatureCrsParameterInvalid()

- ## Method Details

  - ### verifyFeatureCrsParameterInvalid

    public void verifyFeatureCrsParameterInvalid(String collectionId, io.restassured.path.json.JsonPath collection, String featureId)
    Test: invalid CRS requesting /collections/{collectionId}/items
    Parameters:
      `collectionId` - id id of the collection, never `null`
      `collection` - the /collection object, never `null`
      `featureId` - id id of the feature, never `null`